Bug 102715

Summary: [CSS Exclusions] shape-inside does not properly handle padding or border
Product: WebKit Reporter: Bem Jones-Bey <bjonesbe>
Component: CSSAssignee: Bear Travis <betravis>
Status: RESOLVED FIXED    
Severity: Normal CC: donggwan.kim, eric, ojan.autocc, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 89256    
Attachments:
Description Flags
Examples of the bug
none
Implementing correct box-sizing behavior
none
Merging with mainline none

Description Bem Jones-Bey 2012-11-19 14:42:40 PST
Created attachment 175043 [details]
Examples of the bug

When an element with shape-inside has padding, and the shape has coordinates other than 0, 0, the padding is ignored. When the x coordinate differs from zero, the left padding is ignored. When the y coordinate differs from zero, the top padding is ignored.

See the attachment for examples.
Comment 1 Bem Jones-Bey 2012-11-19 15:30:35 PST
I just noticed that it doesn't just ignore the padding, it ignores the border as well. If you need an example, I can compose one, but it is simple to see just by playing with the border widths on the original example.
Comment 2 Bear Travis 2013-02-01 13:26:36 PST
Created attachment 186123 [details]
Implementing correct box-sizing behavior

Accounting for the offsets from the border box based on the box-sizing css property value.
Comment 3 Bear Travis 2013-02-07 10:56:24 PST
Created attachment 187135 [details]
Merging with mainline
Comment 4 Dave Hyatt 2013-02-07 12:00:14 PST
Comment on attachment 187135 [details]
Merging with mainline

r=me
Comment 5 WebKit Review Bot 2013-02-07 12:51:58 PST
Comment on attachment 187135 [details]
Merging with mainline

Clearing flags on attachment: 187135

Committed r142164: <http://trac.webkit.org/changeset/142164>
Comment 6 WebKit Review Bot 2013-02-07 12:52:02 PST
All reviewed patches have been landed.  Closing bug.